Множественные уязвимости в RSMScript

Дата публикации:
24.12.2008
Дата изменения:
24.12.2008
Всего просмотров:
1997
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
RSMScript 1.x
Уязвимые версии: RSMScript 1.21, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и обойти некоторые ограничения безопасности.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "quote" в сценариях submit.php и edit-submit.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за того, что приложение разрешает доступ к административному интерфейсу при наличии определенного параметра в файле куки. Удаленный пользователь может создать параметр "verified" с произвольным значением в файле куки и получить административный доступ к приложению.

URL производителя: www.shock-therapy.org/RSMScript.htm

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://packetstorm.linuxsecurity.com/0812-exploits/rsmscript-xss.txt

или введите имя

CAPTCHA